KCModuleProxyRootDispatcher Class Referenceabstract
KControl module classes

`#include <kcmoduleproxyIface.h>`

Inherits DCOPObject.

Inherited by KCModuleProxyRootCommunicatorImpl`[virtual]`.

## Detailed Description

DCOP interface for communicating with the real module running in root mode.

When a KCModuleProxy tells kcmshell to load "itself" and embed into the KCModuleProxy, this DCOP interface is used to communicate to the real KCModuleProxy, since the KCModuleProxy which told kcmshell to load itself, is nothing but a shell.

Currently is only the changed signal routed, but it's possible to proxy the rest of the KCModuleProxy API, if it turns out necessary.

Since
  3.4

Definition at line 107 of file kcmoduleproxyIface.h.

## Member Function Documentation

virtual void KCModuleProxyRootDispatcher::changed | ( | bool | c | ) |

pure virtual

KCModuleProxyIface::changed() gets connected to this.

The documentation for this class was generated from the following file:

- kcmoduleproxyIface.h

KDE Home | KDE Accessibility Home | Description of Access Keys